summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorwillemw122015-08-25 16:35:41 +0200
committerwillemw122015-08-25 16:35:41 +0200
commit55c955033ec7afd1b16e21123c8868d5f137dc07 (patch)
tree6ec4bd944865f3681fbf3affbf00146d44f59350
parent5964e54a7b072bfec2116721e2d7669ebcc3cd68 (diff)
downloadaur-55c955033ec7afd1b16e21123c8868d5f137dc07.tar.gz
Add qtconsole (depends: ipython2-notebook/jupyter)
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD9
2 files changed, 9 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 5cad3d826ff..d4aaa0c3c12 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
pkgbase = spyder-git
- pkgver = 2.3.4.r1866.g76a9a5f
+ pkgver = 3.0.0b1.r134.g2e7699b
pkgrel = 1
url = https://github.com/spyder-ide/spyder
install = spyder-git.install
@@ -15,6 +15,7 @@ pkgbase = spyder-git
pkgname = spyder-git
pkgdesc = Scientific PYthon Development EnviRonment providing MATLAB-like features (Python 2 version)
+ depends = ipython2-notebook
depends = python2-pyqt4
depends = python2-pyflakes
depends = python2-pyzmq
@@ -22,7 +23,6 @@ pkgname = spyder-git
depends = desktop-file-utils
depends = gtk-update-icon-cache
optdepends = python2-pylint: powerful code analysis
- optdepends = ipython2: enhanced Python interpreter
optdepends = python2-rope: editor code completion, calltips and go-to-definition
optdepends = python2-sphinx: rich text help on the object inspector
optdepends = python2-numpy: N-dimensional arrays
@@ -37,6 +37,7 @@ pkgname = spyder-git
pkgname = spyder3-git
pkgdesc = Scientific PYthon Development EnviRonment providing MATLAB-like features (Python 3 version)
+ depends = jupyter
depends = python-pyqt4
depends = python-pyflakes
depends = python-pyzmq
diff --git a/PKGBUILD b/PKGBUILD
index 46f4fedcdf5..a116fbf76b4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -40,10 +40,11 @@ build() {
package_spyder-git() {
pkgdesc="Scientific PYthon Development EnviRonment providing MATLAB-like features (Python 2 version)"
- depends=('python2-pyqt4' 'python2-pyflakes' 'python2-pyzmq' 'python2-pygments'
+ depends=('ipython2-notebook' 'python2-pyqt4' 'python2-pyflakes' 'python2-pyzmq' 'python2-pygments'
'desktop-file-utils' 'gtk-update-icon-cache')
+ #'ipython2<4.0: enhanced Python interpreter'
+ #'ipython2-notebook>=4.0: enhanced Python interpreter (qtconsole)'
optdepends=('python2-pylint: powerful code analysis'
- 'ipython2: enhanced Python interpreter'
'python2-rope: editor code completion, calltips and go-to-definition'
'python2-sphinx: rich text help on the object inspector'
'python2-numpy: N-dimensional arrays'
@@ -67,8 +68,10 @@ package_spyder-git() {
package_spyder3-git() {
pkgdesc="Scientific PYthon Development EnviRonment providing MATLAB-like features (Python 3 version)"
- depends=('python-pyqt4' 'python-pyflakes' 'python-pyzmq' 'python-pygments'
+ depends=('jupyter' 'python-pyqt4' 'python-pyflakes' 'python-pyzmq' 'python-pygments'
'desktop-file-utils' 'gtk-update-icon-cache')
+ #'ipython<4.0: enhanced Python interpreter'
+ #'jupyter>=4.0: enhanced Python interpreter (qtconsole)'
optdepends=('python-pylint: powerful code analysis'
'ipython: enhanced Python interpreter'
'python-rope: editor code completion, calltips and go-to-definition'